uuid-1.3.16: For creating, comparing, parsing and printing Universally Unique Identifiers

Safe Haskell | None
Language | Haskell2010

Data.UUID.Util

# Documentation

data UnpackedUUID Source #

Constructors

UnpackedUUID |

Fields

- time_low :: Word32
- time_mid :: Word16
- time_hi_and_version :: Word16
- clock_seq_hi_res :: Word8
- clock_seq_low :: Word8
- node_0 :: Word8
- node_1 :: Word8
- node_2 :: Word8
- node_3 :: Word8
- node_4 :: Word8
- node_5 :: Word8

#### Instances

Instances details

Read UnpackedUUID |
Instance details Defined in Data.UUID.Types.Internal Methods readsPrec :: Int -> ReadS UnpackedUUID Source # readList :: ReadS [UnpackedUUID] Source # readPrec :: ReadPrec UnpackedUUID Source # readListPrec :: ReadPrec [UnpackedUUID] Source #
Show UnpackedUUID |
Instance details Defined in Data.UUID.Types.Internal Methods showsPrec :: Int -> UnpackedUUID -> ShowS Source # show :: UnpackedUUID -> String Source # showList :: [UnpackedUUID] -> ShowS Source #
Eq UnpackedUUID |
Instance details Defined in Data.UUID.Types.Internal Methods (==) :: UnpackedUUID -> UnpackedUUID -> Bool Source # (/=) :: UnpackedUUID -> UnpackedUUID -> Bool Source #
Ord UnpackedUUID |

Instance details

Defined in Data.UUID.Types.Internal

Methods

compare :: UnpackedUUID -> UnpackedUUID -> Ordering Source #

(<) :: UnpackedUUID -> UnpackedUUID -> Bool Source #

(<=) :: UnpackedUUID -> UnpackedUUID -> Bool Source #

(>) :: UnpackedUUID -> UnpackedUUID -> Bool Source #

(>=) :: UnpackedUUID -> UnpackedUUID -> Bool Source #

max :: UnpackedUUID -> UnpackedUUID -> UnpackedUUID Source #

min :: UnpackedUUID -> UnpackedUUID -> UnpackedUUID Source #

unpack :: UUID -> UnpackedUUID Source #

pack :: UnpackedUUID -> UUID Source #

version :: UUID -> Int Source #

extractMac :: UUID -> Maybe MAC Source #

extractTime :: UUID -> Maybe Int64 Source #

setTime :: (Integral a, Bits a) => UUID -> a -> Maybe UUID Source #